from flask_wtf import FlaskForm
from flask_wtf.file import FileField, FileRequired, FileAllowed
from wtforms import StringField, TextAreaField
from wtforms.validators import DataRequired


class CollectionCreateForm(FlaskForm):
    title = StringField('Tilte', validators=[DataRequired()])
    image = FileField('Image', validators=[
        FileRequired(), FileAllowed(['jpg', 'png', 'gif', 'webp'], 'Images only!')])
    description = TextAreaField('Description', validators=[DataRequired()])
